<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditItemsTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
          
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.EditItemsLabel_itemNombre}" for="itemNombre" />
                    <h:inputText id="itemNombre" value="#{itemsController.selected.itemNombre}" title="#{bundle.EditItemsTitle_itemNombre}" required="true" requiredMessage="#{bundle.EditItemsRequiredMessage_itemNombre}">
                    <p:ajax event="keyup" listener="#{itemsController.selected.setItemNombreNuevo(itemsController.selected.itemNombre)}"/>
                    </h:inputText>
                    <h:outputLabel value="#{bundle.EditItemsLabel_itemCodigo}" for="itemCodigo" />
                    <h:inputText id="itemCodigo" value="#{itemsController.selected.itemCodigo}" title="#{bundle.EditItemsTitle_itemCodigo}" >
                    <p:ajax event="keyup" listener="#{itemsController.selected.setItemCodigoNuevo(itemsController.selected.itemCodigo)}"/>
                    </h:inputText>
                    <h:outputLabel value="#{bundle.EditItemsLabel_itemInventarioId}" for="itemInventarioId" />
                    <h:selectOneMenu id="itemInventarioId" value="#{itemsController.selected.itemInventarioId}" title="#{bundle.EditItemsTitle_itemInventarioId }" required="true" requiredMessage="#{bundle.CreateItemsRequiredMessage_itemInventarioId}"
                                     onkeydown="">
                        <f:selectItems value="#{inventariosController.inventarios}" var="inventarios" itemLabel="#{inventarios.inventarioNombre}" />
                        <p:ajax  listener="#{itemsController.selected.setItemInventarioIdNuevo(itemsController.selected.itemInventarioId)}"  />  
                    </h:selectOneMenu>
                </h:panelGrid>
                <h:commandButton action="#{itemsController.update}" value="#{bundle.EditItemsSaveLink}" immediate="true" >
                <p:ajax update=":tabViewAdmin:itemsPanel:formItems:tablaItems" 
                        process="@this" oncomplete="PF('dlgItem').hide();"/>
            </h:commandButton>
                <h:commandLink />
              
            </h:form>
        </ui:define>
    </ui:composition>

</html>
